Package org.apache.commons.math3.genetics

# Interface Fitness

All Known Implementing Classes:
  `AbstractListChromosome`, `BinaryChromosome`, `Chromosome`, `RandomKey`

public interface Fitness
Fitness of a chromosome.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`double`
`fitness()`
Compute the fitness.

## Method Details

### fitness

double fitness()
Compute the fitness. This is usually very time-consuming, so the value should be cached.

Returns:
  fitness